X
Tap here to go to the mobile version of the site.

Support Forum

Flash Player version not synchronized between Plugin Check and Add-ons Manager.

Posted

I have recently encountered an interesting error with my browser, in that trying to update Flash to 16.0.0.305 (the latest version), the browser tells me it's already up to date on the Add-ons manager page. BUT then I go to Plugin-Check and it shows a "vulnerable" 16.0.0.257 Flash.

Plugin Check: http://puu.sh/fBNWT.png Add-ons Manager: http://puu.sh/fBO0d.png

The actual Adobe website isn't working for me and hasn't worked in over a month, it shows just a blank page: http://puu.sh/fBO53.png

I'm trying to update to alleviate a problem with a few websites I use that constantly show the "A script in this movie is causing Adobe Flash Player to run slowly. Continuing to let this script run may cause your computer to become unresponsive." dialog box. (Not a Firefox message, this is an actual Flash message.) It's annoying because I have yet to find out how to disable it, it's wrong because I know full well the website is optimized, and it freezes my whole browser for minutes at the time. Clicking "cancel" hangs the browser for a few seconds, and then the message just reappears. (Tested in Firefox, IE, and Chrome) Any Flash gurus out there with knowledge on how to completely disable this message...? I'm hoping that updating will help, but with no way to tell which version I'm actually running, I'm stuck.

I have recently encountered an interesting error with my browser, in that trying to update Flash to 16.0.0.305 (the latest version), the browser tells me it's already up to date on the Add-ons manager page. BUT then I go to Plugin-Check and it shows a "vulnerable" 16.0.0.257 Flash. Plugin Check: http://puu.sh/fBNWT.png Add-ons Manager: http://puu.sh/fBO0d.png The actual Adobe website isn't working for me and hasn't worked in over a month, it shows just a blank page: http://puu.sh/fBO53.png I'm trying to update to alleviate a problem with a few websites I use that constantly show the "A script in this movie is causing Adobe Flash Player to run slowly. Continuing to let this script run may cause your computer to become unresponsive." dialog box. (Not a Firefox message, this is an actual Flash message.) It's annoying because I have yet to find out how to disable it, it's wrong because I know full well the website is optimized, and it freezes my whole browser for minutes at the time. Clicking "cancel" hangs the browser for a few seconds, and then the message just reappears. (Tested in Firefox, IE, and Chrome) Any Flash gurus out there with knowledge on how to completely disable this message...? I'm hoping that updating will help, but with no way to tell which version I'm actually running, I'm stuck.

Additional System Details

Installed Plug-ins

  • Google Update
  • Nexon Game Controller
  • Shockwave Flash 16.0 r0
  • VLC media player Web Plugin 2.1.3
  • Winamp Application Detector

Application

  • Firefox 35.0.1
  • User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:35.0) Gecko/20100101 Firefox/35.0
  • Support URL: https://support.mozilla.org/1/firefox/35.0.1/WINNT/en-US/

Extensions

  • Lightbeam 1.2.1 (jid1-F9UJ2thwoAm5gQ@jetpack)
  • YesScript 2.0 (yesscript@userstyles.org)
  • YouTube Video and Audio Downloader 0.4.3 (feca4b87-3be4-43da-a1b1-137c24220968@jetpack)
  • YouTube™ Flash® Player 1.2 (jid1-HAV2inXAnQPIeA@jetpack)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: Microsoft Basic Display Driver
  • adapterDescription2:
  • adapterDeviceID: 0x00ba
  • adapterDeviceID2:
  • adapterDrivers: Unknown
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterSubsysID: 000000ba
  • adapterSubsysID2:
  • adapterVendorID: 0x00ba
  • adapterVendorID2:
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'blockedGfxCard']
  • directWriteEnabled: False
  • directWriteVersion: 10.0.9926.3
  • driverDate: 6-21-2006
  • driverDate2:
  • driverVersion: 10.0.9926.0
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'cairo', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'blockedGfxCard']
  • numTotalWindows: 1
  • webglRendererMessage: [u'blockedGfxCard']
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Basic

Modified Preferences

Misc

  • User JS: No
  • Accessibility: No
the-edmeister
  • Moderator
5391 solutions 40020 answers

Helpful Reply

"... the browser tells me it's already up to date on the Add-ons manager page. BUT then I go to Plugin-Check and it shows a "vulnerable" 16.0.0.257 Flash. "

As long as the Add-ons Manager shows the latest version, don't worry about what the Plugin Check page says. The Plugin Check page has been overloaded with demand on and off over the last month or so with the large number of Flash updates that have been released over the last 5 weeks - more than in the entire previous year. I read a Bug report earlier today where the developers / maintainers of that Plugin Check page were discussing whether to disable that service for IE and Chrome users, less than 1% of the total number of visits to that page between the two. Pretty bad when cutting 1% is expected to help the "overloaded" situation.

"The actual Adobe website isn't working for me and hasn't worked in over a month, it shows just a blank page: http://puu.sh/fBO53.png "

How about when you disable that YesScript extension? If so, remove that Adobe domain fro your blacklist in YesScript.

'''''"... the browser tells me it's already up to date on the Add-ons manager page. BUT then I go to Plugin-Check and it shows a "vulnerable" 16.0.0.257 Flash. "''''' As long as the Add-ons Manager shows the latest version, don't worry about what the Plugin Check page says. The Plugin Check page has been overloaded with demand on and off over the last month or so with the large number of Flash updates that have been released over the last 5 weeks - more than in the entire previous year. I read a Bug report earlier today where the developers / maintainers of that Plugin Check page were discussing whether to disable that service for IE and Chrome users, less than 1% of the total number of visits to that page between the two. Pretty bad when cutting 1% is expected to help the "overloaded" situation. '''''"The actual Adobe website isn't working for me and hasn't worked in over a month, it shows just a blank page: http://puu.sh/fBO53.png "''''' How about when you disable that YesScript extension? If so, remove that Adobe domain fro your blacklist in YesScript.
Dale_Latimer 3 solutions 39 answers

I'm having this problem as well, but it is more of an issue given the recent decision by Mozilla to block older versions of Flash. It's bothersome having to select activating Flash for each and every website with whom I normally have no problems nor expectations of Flash causing issues.

I'm having this problem as well, but it is more of an issue given the recent decision by Mozilla to block older versions of Flash. It's bothersome having to select activating Flash for each and every website with whom I normally have no problems nor expectations of Flash causing issues.